FreeMat

- Main Page
- Related Pages

vtkOBBDicer

Section: Visualization Toolkit Graphics Classes

# Usage

vtkOBBDicer separates the cells of a dataset into spatially aggregated pieces using a Oriented Bounding Box (OBB). These pieces can then be operated on by other filters (e.g., vtkThreshold). One application is to break very large polygonal models into pieces and performing viewing and occlusion culling on the pieces.

Refer to the superclass documentation (vtkDicer) for more information.

To create an instance of class vtkOBBDicer, simply invoke its constructor as follows

      obj = vtkOBBDicer

# Methods

The class vtkOBBDicer has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOBBDicer class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOBBDicer = obj.NewInstance ()`
- `vtkOBBDicer = obj.SafeDownCast (vtkObject o)`